#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x9eecabfa, "");
SYMBOL_CRC(ishtp_start, 0x6efc9a0e, "");
SYMBOL_CRC(ishtp_send_suspend, 0xfa3dc871, "");
SYMBOL_CRC(ishtp_send_resume, 0x05504007, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x8a648b96, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x3b2d2830, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x64b44757, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x91df4860, "");
SYMBOL_CRC(ishtp_cl_free, 0x3c4a00b4, "");
SYMBOL_CRC(ishtp_cl_link, 0x23cc602f, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x964f0e4b, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x65a15726, "");
SYMBOL_CRC(ishtp_cl_connect, 0xe7233274, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0xf26b5995, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0xfaca5fc1, "");
SYMBOL_CRC(ishtp_cl_send, 0x40d390f6, "");
SYMBOL_CRC(ishtp_get_client_data, 0x941b3879, "");
SYMBOL_CRC(ishtp_set_client_data, 0x3141a14e, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xc7b64b5a, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x13da7bfe, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xa56054e6, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xfd83d587, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x7c2cf225, "");
SYMBOL_CRC(ishtp_recv, 0xcad0c46f, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xce6c2da2, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x9e63558d, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x85fcdb28, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x64a6126a, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x625c6b14, "");
SYMBOL_CRC(ishtp_get_device, 0x4e6f9f3d, "");
SYMBOL_CRC(ishtp_put_device, 0x86f3fcee, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x12c7fe00, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x36234a27, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xd71aee27, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x900e9231, "");
SYMBOL_CRC(ishtp_reset_handler, 0xff227a4c, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x72551ecc, "");
SYMBOL_CRC(ishtp_device, 0x2bce5178, "");
SYMBOL_CRC(ishtp_wait_resume, 0xab72cd7b, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x69ff0872, "");
SYMBOL_CRC(ishtp_trace_callback, 0xa6eed265, "");
SYMBOL_CRC(ish_hw_reset, 0x19566728, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xc6ee17e4, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x7adc6e3c, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x39036fa2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe134af11, "put_device" },
	{ 0x5c442160, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6d54a4f4, "bus_unregister" },
	{ 0xf632bf5a, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4f325974, "dma_alloc_attrs" },
	{ 0x8e601bda, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe66209b4, "device_register" },
	{ 0x5a3ec380, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x93605e7c, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x246a0126, "dev_err_probe" },
	{ 0xd1b01c5b, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0xbf03aca0, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x657c901, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x9cec8d19, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9cf10c5b, "firmware_request_nowarn" },
	{ 0xd1e62d76, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8285b522, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E2CCCCB774525D8ADCDADF");
