#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xc406936d, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x35a0fdef, "");
SYMBOL_CRC(ivtv_api, 0xae9571c2, "");
SYMBOL_CRC(ivtv_vapi, 0x853067fd, "");
SYMBOL_CRC(ivtv_vapi_result, 0xa3d22e06, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x079f02e4, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xe6b9e747, "");
SYMBOL_CRC(ivtv_udma_setup, 0xad65fc73, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xadb2b3f6, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x437f7252, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xf6042636, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xd4990906, "");
SYMBOL_CRC(ivtv_firmware_check, 0x1b95bd84, "");
SYMBOL_CRC(ivtv_claim_stream, 0xe525a568, "");
SYMBOL_CRC(ivtv_release_stream, 0xd08a2a88, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x2bb0af24, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x9a3e8f45, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1625be6, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xae80f46e, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x641b0546, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd55f1d40, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa48907f5, "pci_read_config_word" },
	{ 0x4827da39, "v4l2_ctrl_subscribe_event" },
	{ 0x787f03b, "v4l2_fh_init" },
	{ 0x6d32a9ad, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcc786e01, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd889817a, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x880e3919, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x61fd7c13, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x30ce3d6e, "pci_set_master" },
	{ 0x98c4e839, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7f3be0f7, "__v4l2_device_register_subdev" },
	{ 0x1241a9be, "v4l2_device_register" },
	{ 0xe6a61d7a, "param_ops_string" },
	{ 0xf1791d4f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe136c35, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdb1bdb83, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdc65feec, "__dma_sync_single_for_device" },
	{ 0x39f115e, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0x9b9ecc4b, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6b50d00, "v4l2_ctrl_new_std" },
	{ 0x821020eb, "v4l2_ctrl_g_ctrl" },
	{ 0xeaaffe83, "cx2341x_handler_init" },
	{ 0x737c748b, "cx2341x_handler_set_50hz" },
	{ 0x96dabb6d, "v4l2_ctrl_handler_free" },
	{ 0xf5701924, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xfd35cf5, "dma_set_mask" },
	{ 0x13318a07, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe71841cb, "v4l2_subdev_call_wrappers" },
	{ 0x22721ef0, "dma_unmap_sg_attrs" },
	{ 0x6bb6da8d, "v4l2_event_queue" },
	{ 0x39fba5c8, "v4l2_i2c_new_subdev" },
	{ 0x2dbe393a, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbf03aca0, "param_ops_int" },
	{ 0x417b35ac, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbcf16a74, "video_device_release_empty" },
	{ 0xcee9ef13, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf408d1fb, "pci_write_config_dword" },
	{ 0xeaff7ee0, "v4l2_event_unsubscribe" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x11de78b0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6282f088, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd70ffa64, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d91dd5e, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc288ee42, "i2c_bit_add_bus" },
	{ 0x1f8e682e, "v4l2_fh_del" },
	{ 0x3c8c891a, "v4l2_i2c_new_subdev_board" },
	{ 0xd3b003f6, "kthread_flush_worker" },
	{ 0x8c2bafd8, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x336099d5, "dma_unmap_page_attrs" },
	{ 0x99155fc5, "request_firmware" },
	{ 0xf445d840, "__pci_register_driver" },
	{ 0x2ef05174, "v4l2_ctrl_handler_init_class" },
	{ 0xd0c1afaf, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xbea20447, "unpin_user_pages" },
	{ 0x7f385f0c, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xcf7d3617, "i2c_transfer_buffer_flags" },
	{ 0x119633b5, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x94695e3b, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa55e8440, "wake_up_process" },
	{ 0x3cd25d09, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe003ec1e, "dma_map_page_attrs" },
	{ 0xa99bddf6, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x71265046, "v4l2_ctrl_handler_log_status" },
	{ 0x1592b8e4, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x666aeb02, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x37cb65a4, "i2c_new_scanned_device" },
	{ 0x6c94dd08, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb89a8ee, "kthread_queue_work" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1076fc8d, "__free_pages" },
	{ 0xce2f280f, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7263a317, "__v4l2_ctrl_s_ctrl" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");
