#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x777d5900, "_gpl");
SYMBOL_CRC(pds_client_register, 0x55ce05b3, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0xf8d59aaf, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x4a1026ba, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x4658c34a, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x40ae21ae, "devl_lock" },
	{ 0x4f01a655, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd3864dd8, "debugfs_create_u16" },
	{ 0xf445d840, "__pci_register_driver" },
	{ 0x1d08f143, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xa7b2440b, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd88dc4d2, "devlink_alloc_ns" },
	{ 0xfabd0237, "pci_sriov_get_totalvfs" },
	{ 0x372e604, "seq_lseek" },
	{ 0x5b252c5c, "pci_reset_function_locked" },
	{ 0x33c60e20, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xd958b359, "pci_irq_vector" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0x94695e3b, "pci_unregister_driver" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb0d33d52, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf93e78fc, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbffc7b0, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xe134af11, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x7808f529, "debugfs_create_regset32" },
	{ 0x5c442160, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfae3db79, "devl_health_reporter_create" },
	{ 0xbcf15cd2, "pci_iov_vf_id" },
	{ 0x5d603182, "debugfs_lookup" },
	{ 0x1b9a585d, "pci_iomap_range" },
	{ 0xcd736e47, "devlink_flash_update_timeout_notify" },
	{ 0xf632bf5a, "_dev_err" },
	{ 0x70cf71c4, "init_net" },
	{ 0xb7f0c8dd, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xb421fed, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4f325974, "dma_alloc_attrs" },
	{ 0xd4bc8a6a, "debugfs_remove" },
	{ 0xa06a6ca, "seq_putc" },
	{ 0xffb7c514, "ida_free" },
	{ 0x84db7bad, "devl_params_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7866ff51, "debugfs_create_ulong" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1b23175b, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc60010a6, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x5a3ec380, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x30ce3d6e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2ff77f4, "debugfs_create_u32" },
	{ 0x2c7e2c36, "devl_params_unregister" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6ca157cd, "pci_reset_function" },
	{ 0xd173f40d, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfdc210c6, "dma_set_coherent_mask" },
	{ 0x29225c8b, "seq_read" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x93605e7c, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xfb9ef993, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x414a2445, "pci_release_regions" },
	{ 0x50c6bbfd, "pcie_print_link_status" },
	{ 0x19198bdf, "pci_dev_get" },
	{ 0x364db226, "seq_write" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e8b9c, "seq_printf" },
	{ 0x2d1ed38e, "devlink_priv" },
	{ 0x21d43537, "pci_disable_sriov" },
	{ 0x55cb0aca, "debugfs_create_file_full" },
	{ 0xd6aee8cc, "pci_disable_device" },
	{ 0x6a95fe28, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xfd35cf5, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x14e7395d, "single_open" },
	{ 0x6420c8a7, "devl_register" },
	{ 0x3a9a546b, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x582e3c07, "pci_free_irq_vectors" },
	{ 0x91acbff3, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc702feb2, "pci_iov_get_pf_drvdata" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe839565, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7d84be6f, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd4c992f3, "auxiliary_device_init" },
	{ 0xe542430f, "pci_iomap" },
	{ 0x8394b947, "pci_alloc_irq_vectors" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F4CEF02E65AEC824F2A3BF6");
