#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x174cee88, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xc6fbdbd5, "");
SYMBOL_CRC(team_options_register, 0x90d64303, "");
SYMBOL_CRC(team_options_unregister, 0xe91d4fab, "");
SYMBOL_CRC(team_option_inst_set_change, 0x702959be, "");
SYMBOL_CRC(team_options_change_check, 0xa159a0f1, "");
SYMBOL_CRC(team_mode_register, 0xefd69d28, "");
SYMBOL_CRC(team_mode_unregister, 0xce4adc4d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x397c353b, "netdev_has_upper_dev" },
	{ 0x9db9e371, "netdev_change_features" },
	{ 0x315ad9ea, "netdev_lower_state_changed" },
	{ 0xb83d8953, "netdev_master_upper_dev_link" },
	{ 0xc344ce63, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbdb5dac4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8f9f7b08, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x72302e0d, "pv_ops" },
	{ 0x362a3379, "vlan_vids_del_by_dev" },
	{ 0x425e691, "__netpoll_setup" },
	{ 0x168434cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4d2a9d57, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8cf9b4f8, "call_netdevice_notifiers" },
	{ 0xbc9db6a5, "vlan_vid_del" },
	{ 0x32762f23, "dev_set_allmulti" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfec25fe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6844a113, "skb_clone" },
	{ 0x766bfd62, "netif_carrier_on" },
	{ 0x86310b55, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b59fb6d, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe553149b, "genl_unregister_family" },
	{ 0x9536ee1a, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0x64ac504d, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xecfedcbd, "dev_mc_unsync" },
	{ 0xde1e613c, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x62c8e970, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c2b6721, "dev_mc_sync_multiple" },
	{ 0x96b851c8, "register_netdevice" },
	{ 0x79dd7f0f, "dev_set_mtu" },
	{ 0x74bfc498, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc91f95c5, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1745c3a1, "consume_skb" },
	{ 0xfbd83c80, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbbad7ffb, "netpoll_send_skb" },
	{ 0xc04c19ae, "rtnl_link_register" },
	{ 0x3a5623bc, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6b330570, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f185b18, "dev_set_promiscuity" },
	{ 0x5cd3fbb0, "pcpu_hot" },
	{ 0x8140ecef, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2389d94c, "dev_uc_unsync" },
	{ 0x9c577c7f, "ether_setup" },
	{ 0x262dd5e2, "netlink_broadcast_filtered" },
	{ 0x5623d710, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e9097cf, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8df27eb1, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5c4dae93, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x326cffe4, "__alloc_skb" },
	{ 0x245b58d6, "module_put" },
	{ 0xfbe6ec08, "dev_uc_flush" },
	{ 0x24cf34f1, "dev_open" },
	{ 0xe97da85f, "rtnl_link_unregister" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3834d07, "dev_mc_flush" },
	{ 0xdc011265, "sk_skb_reason_drop" },
	{ 0x96bd9eed, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xbeb100b0, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe93398f3, "dev_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda0bb3e5, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6ad49778, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x17491725, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf87400bc, "dev_set_mac_address" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C0C29584ECEAA469A78ADF");
