#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x784fcedb, "inode_newsize_ok" },
	{ 0x3934df2e, "d_drop" },
	{ 0x3a92736f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8d5ef0f, "block_invalidate_folio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x66f73f67, "crypto_skcipher_decrypt" },
	{ 0xa3ee2bcd, "truncate_inode_pages_final" },
	{ 0x2ddf78c, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x746040ce, "__filemap_set_wb_err" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xd2a27381, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x5afc4616, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x1076fc8d, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe079e284, "inode_init_once" },
	{ 0xd7b20a9, "file_write_and_wait_range" },
	{ 0xc0089c73, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xea433660, "vfs_get_link" },
	{ 0xe640c9e, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x933d995f, "generic_file_read_iter" },
	{ 0xdab36a55, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7446ec33, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x6f0d5f5e, "kmem_cache_alloc_lru_noprof" },
	{ 0x2205257, "lock_rename" },
	{ 0x9836b3fc, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x4ab72a01, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x5c1d9efe, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcddf3191, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa7314e42, "sysfs_create_group" },
	{ 0x880e3919, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x943071a6, "folio_end_read" },
	{ 0x2940c2a1, "block_dirty_folio" },
	{ 0xd79b79fe, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xec68d23d, "kern_path" },
	{ 0x79e50265, "vfs_set_acl" },
	{ 0x66aefd09, "misc_register" },
	{ 0x481276c3, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3db5202, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x68469281, "key_validate" },
	{ 0xdde8affc, "__kmem_cache_create_args" },
	{ 0x45fa585f, "unlock_rename" },
	{ 0x45c2b3c3, "vfs_rmdir" },
	{ 0x4acc37f2, "writeback_iter" },
	{ 0x299d38ac, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x991505d1, "truncate_setsize" },
	{ 0xbe136c35, "kthread_create_on_node" },
	{ 0x7164e47b, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa6313975, "vfs_symlink" },
	{ 0xd456cd8d, "super_setup_bdi" },
	{ 0x7676c31, "igrab" },
	{ 0xd6922c27, "generic_read_dir" },
	{ 0xce0c424c, "d_instantiate_new" },
	{ 0xcc068327, "d_add" },
	{ 0xcba47ee6, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc9840f3f, "vfs_mknod" },
	{ 0x2e4b6cc4, "init_user_ns" },
	{ 0x706f9485, "dentry_open" },
	{ 0xec053b9a, "request_key_tag" },
	{ 0x9310021b, "__folio_put" },
	{ 0x82df627, "vfs_fileattr_set" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xcc16c298, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e8b9c, "seq_printf" },
	{ 0xf6f94302, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x5f7c10d6, "deactivate_locked_super" },
	{ 0x3c2532fc, "touch_atime" },
	{ 0x8ea17990, "lookup_one_len_unlocked" },
	{ 0xf3c67f92, "vfs_llseek" },
	{ 0xd4e6c39, "alloc_pages_noprof" },
	{ 0x52cfdc2, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xebc20412, "__fs_parse" },
	{ 0xd51896e2, "filemap_splice_read" },
	{ 0x338c7299, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x684d5a8f, "key_type_user" },
	{  0xd4212, "kill_anon_super" },
	{ 0x96f4636c, "vfs_getattr_nosec" },
	{ 0x24cfaf5d, "iget5_locked" },
	{ 0x6e6af18c, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8242cdf4, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xbf03aca0, "param_ops_int" },
	{ 0x944a4198, "inode_permission" },
	{ 0xe4cd372b, "mntget" },
	{ 0x6d3b2215, "crypto_alloc_shash" },
	{ 0x3543aa5d, "__mark_inode_dirty" },
	{ 0xed4b9ac1, "generic_file_llseek" },
	{ 0x2a145e4c, "make_bad_inode" },
	{ 0x8eedbe9e, "vfs_get_acl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xcd21c8ee, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0xe1d4bb8b, "inode_set_ctime_to_ts" },
	{ 0x9e58fd0e, "iget_failed" },
	{ 0xb0cd8f97, "kernel_write" },
	{ 0x5dd91266, "kmem_cache_destroy" },
	{ 0x96954a44, "kobject_put" },
	{ 0x35570ca6, "vfs_create" },
	{ 0x8c951020, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xcc5b69a7, "crypto_skcipher_encrypt" },
	{ 0x30febb6d, "generic_fillattr" },
	{ 0xf0a6fbfb, "setattr_prepare" },
	{ 0xbe61f2d8, "filemap_migrate_folio" },
	{ 0x1d6fe81a, "clear_nlink" },
	{ 0xc0255748, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf903ff2, "d_instantiate" },
	{ 0x39138bb3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9ccf48a9, "clear_inode" },
	{ 0xfdce298d, "notify_change" },
	{ 0xc8a493cd, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x38121f6d, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb81a2022, "fs_param_is_string" },
	{ 0xf0de0b1f, "folio_unlock" },
	{ 0xf99e3d05, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9e70518, "init_special_inode" },
	{ 0xe467c0fd, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd9a5b03e, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa3208897, "d_make_root" },
	{ 0x74cd7a4, "read_cache_folio" },
	{ 0x8078e4fa, "sget_fc" },
	{ 0x51c4b2bb, "d_splice_alias" },
	{ 0xe1d07870, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc60f169a, "iput" },
	{ 0x379e83f0, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8ea50d4d, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x140a1c12, "crypto_skcipher_setkey" },
	{ 0x88a6391, "fsstack_copy_attr_all" },
	{ 0x3ea29f13, "register_filesystem" },
	{ 0x25fd1581, "vfs_unlink" },
	{ 0x686b0cc1, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa55e8440, "wake_up_process" },
	{ 0xd274544f, "vfs_mkdir" },
	{ 0x947c61ec, "crypto_destroy_tfm" },
	{ 0x4535bba7, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x401a3c71, "fs_param_is_u32" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E1336512789D995A1D5E5A5");
