#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xba8990fd, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xadf81d5c, "_gpl");
SYMBOL_CRC(ahci_ops, 0x69ffd8d0, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x86314545, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x1400a01d, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x2c438994, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xffcce41c, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x3604f891, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x3f5e3c7c, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x57726186, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x7b9be013, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x03334585, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x3dc0b542, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x2a39e062, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xf5c33993, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xc2897c10, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x90a22071, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xa125ca59, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xcee27248, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x9ea3b7ce, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x063b0e1d, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x8aa85d0c, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x5cbd8783, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x9899f34b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60d5228f, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x57d6f1cc, "ata_std_qc_defer" },
	{ 0x8d8689e2, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5a3ec380, "_dev_warn" },
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0xdda82373, "ata_port_classify" },
	{ 0x85e66d2, "ata_qc_complete_multiple" },
	{ 0x6e5857aa, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8a134317, "sata_pmp_error_handler" },
	{ 0xda84b824, "ata_host_start" },
	{ 0x692b4e71, "devm_request_threaded_irq" },
	{ 0x381014d8, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x895a0050, "ata_host_register" },
	{ 0x95a1de87, "ata_host_activate" },
	{ 0x744a6065, "ata_dummy_port_ops" },
	{ 0x75db6fa2, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x45c31f20, "devm_kmalloc" },
	{ 0x183bfeb2, "dmam_alloc_attrs" },
	{ 0x3cd25d09, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3977a492, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xd8e7a232, "sata_link_hardreset" },
	{ 0x74e72231, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9a4ab9d, "sata_lpm_ignore_phy_events" },
	{ 0xa25ce819, "ata_ehi_clear_desc" },
	{ 0x6ad8fda3, "ata_ehi_push_desc" },
	{ 0x6787d842, "sata_async_notification" },
	{ 0x809762e, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdb1131, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbf03aca0, "param_ops_int" },
	{ 0xbcd675ed, "param_ops_bool" },
	{ 0xc841f389, "sata_pmp_port_ops" },
	{ 0xbf0a052f, "dev_attr_sw_activity" },
	{ 0xdd98355e, "dev_attr_unload_heads" },
	{ 0xef9185a3, "dev_attr_ncq_prio_supported" },
	{ 0x3de193fd, "dev_attr_ncq_prio_enable" },
	{ 0xbf6c2ef1, "dev_attr_link_power_management_policy" },
	{ 0xe5c2542e, "dev_attr_em_message_type" },
	{ 0x26d5411e, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4f6ea63, "__pm_runtime_resume" },
	{ 0x6cca7f32, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x775db527, "ata_link_next" },
	{ 0x29cd61c9, "ata_wait_register" },
	{ 0x80547b54, "ata_dev_set_feature" },
	{ 0x5c442160, "_dev_info" },
	{ 0xa2086aca, "ata_msleep" },
	{ 0xef73c481, "sata_link_scr_lpm" },
	{ 0xf632bf5a, "_dev_err" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9A7C9ED3F9F2BE88064C951");
