#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0x06d5789c, "");
SYMBOL_CRC(ttm_tt_fini, 0x7841c6f0, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x57c0220f, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x161b8219, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x995db7e2, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0x92a92a6b, "");
SYMBOL_CRC(ttm_bo_put, 0xd87ad109, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0xcf8fd080, "");
SYMBOL_CRC(ttm_bo_pin, 0x779324ad, "");
SYMBOL_CRC(ttm_bo_unpin, 0x3177aa3a, "");
SYMBOL_CRC(ttm_bo_mem_space, 0xc4458550, "");
SYMBOL_CRC(ttm_bo_validate, 0x0fd92349, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0xad540094, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x9840da72, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x42c5f657, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0xca590493, "");
SYMBOL_CRC(ttm_bo_populate, 0xae959421, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x28706a74, "");
SYMBOL_CRC(ttm_io_prot, 0x0211ef07, "");
SYMBOL_CRC(ttm_bo_kmap, 0x1f39c27c, "");
SYMBOL_CRC(ttm_bo_kunmap, 0x40958b5f, "");
SYMBOL_CRC(ttm_bo_vmap, 0xf0d34513, "");
SYMBOL_CRC(ttm_bo_vunmap, 0xf974b118, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0xf43c5b94, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xeef750d4, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0xce5c742e, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0xa00d5002, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0xedfb2aa9, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x2258a89c, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x9015d8a9, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x4540ffe4, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x1d7e7009, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0xa56eb34f, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0xa58386f4, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x703df66c, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x45058a51, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x17a3648f, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x96e2bcd6, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x96e09be8, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0x60c77248, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0xbce34a83, "");
SYMBOL_CRC(ttm_resource_init, 0xef59eaee, "");
SYMBOL_CRC(ttm_resource_fini, 0x7a14ca92, "");
SYMBOL_CRC(ttm_resource_free, 0x7ec78229, "");
SYMBOL_CRC(ttm_resource_manager_init, 0xaf021e17, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x4864d32c, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x82b0e57d, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x2160ec72, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x0a5e9e69, "");
SYMBOL_CRC(ttm_pool_alloc, 0x841397d5, "");
SYMBOL_CRC(ttm_pool_free, 0x1bb53c42, "");
SYMBOL_CRC(ttm_pool_init, 0xb9d6459e, "");
SYMBOL_CRC(ttm_pool_fini, 0x81eaac4d, "");
SYMBOL_CRC(ttm_pool_debugfs, 0xabc41906, "");
SYMBOL_CRC(ttm_glob, 0xa0a37200, "");
SYMBOL_CRC(ttm_device_swapout, 0xbc522929, "");
SYMBOL_CRC(ttm_device_init, 0x1f27a656, "");
SYMBOL_CRC(ttm_device_fini, 0x049d5f8f, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0xc2483b68, "");
SYMBOL_CRC(ttm_agp_bind, 0xf312c681, "");
SYMBOL_CRC(ttm_agp_unbind, 0x22a7d3c2, "");
SYMBOL_CRC(ttm_agp_is_bound, 0xead43608, "");
SYMBOL_CRC(ttm_agp_destroy, 0xd6b96a89, "");
SYMBOL_CRC(ttm_agp_tt_create, 0xc96a1ff6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x372e604, "seq_lseek" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0x8c76517c, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45d3c635, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x2cb9addd, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe003ec1e, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xb4246a7, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x66eb70b3, "ww_mutex_trylock" },
	{ 0x2bcd72a5, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x821d34e4, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x618911fc, "numa_node" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x1076fc8d, "__free_pages" },
	{ 0x5c442160, "_dev_info" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x82b1052f, "mark_page_accessed" },
	{ 0x4fc0e25c, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xe640c9e, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x75a4afb9, "agp_free_memory" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xefab0a7b, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4f325974, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xd4bc8a6a, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xa06a6ca, "seq_putc" },
	{ 0x1edf4a21, "ww_mutex_lock" },
	{ 0x1170951e, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf43c091f, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x1bf8588c, "__put_devmap_managed_folio_refs" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xb2ee7bf4, "vmf_insert_pfn_prot" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5cdab501, "agp_allocate_memory" },
	{ 0x250e65d3, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0x668b19a1, "down_read" },
	{ 0xb2d05bfa, "dma_resv_copy_fences" },
	{ 0x2f1d62e7, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x29225c8b, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0x1f3781fb, "set_pages_array_wc" },
	{ 0x93605e7c, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5db03947, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x364db226, "seq_write" },
	{ 0x9310021b, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e8b9c, "seq_printf" },
	{ 0x8a108596, "__mmap_lock_do_trace_released" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x55cb0aca, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x39ff461b, "dma_resv_iter_first_unlocked" },
	{ 0xd4e6c39, "alloc_pages_noprof" },
	{ 0x38194a3e, "boot_cpu_data" },
	{ 0x6a95fe28, "single_release" },
	{ 0x2d7f4752, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x3aacf222, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x14e7395d, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x3a9a546b, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xea3d5a62, "shrinker_alloc" },
	{ 0x5c21167c, "ww_mutex_lock_interruptible" },
	{ 0x852a59f1, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd2a4c2aa, "param_ops_ulong" },
	{ 0x5c643332, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xbf2f13f7, "agp_bind_memory" },
	{ 0xbdb3f5f2, "vmalloc_to_page" },
	{ 0x78b89ea5, "dma_resv_init" },
	{ 0x6eba0c86, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0x336099d5, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x10a8f177, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x922884a9, "debugfs_create_atomic_t" },
	{ 0x69acdf38, "memcpy" },
	{ 0x82349858, "unmap_mapping_range" },
	{ 0xfc5f7888, "dma_resv_add_fence" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "20EC41E048E608208B19DEC");
