#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x89301d3c, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x1d86af59, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x46b50ab6, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x0ee38717, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x71e5eca6, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x2cb8a662, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x85574e3a, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x64ec00dd, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xd206c363, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xeace7bd5, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x0cbb6e42, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xd657f26f, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xe0f5c733, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xf89a84ee, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0xa7e0f614, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x23f0212e, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xf6a3d56e, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xba28ec48, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x20399fac, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x36b0cf94, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x4fb6a8b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74eb0495, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3e006394, "sysfs_notify" },
	{ 0xc90e722c, "kobject_uevent" },
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0x51ae80b3, "rdev_get_dev" },
	{ 0xcc9303c5, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xacd2a9aa, "regulator_notifier_call_chain" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x42d93c7c, "i2c_smbus_xfer" },
	{ 0xf632bf5a, "_dev_err" },
	{ 0x121e8abf, "device_create_file" },
	{ 0xd1b01c5b, "__devm_add_action" },
	{ 0x77641f4b, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x54ddc0f, "devm_hwmon_device_register_with_groups" },
	{ 0x6a104117, "devm_regulator_register" },
	{ 0x246a0126, "dev_err_probe" },
	{ 0x692b4e71, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x55cb0aca, "debugfs_create_file_full" },
	{ 0x5a3ec380, "_dev_warn" },
	{ 0xdab36a55, "noop_llseek" },
	{ 0x486d1eef, "simple_open" },
	{ 0x25bd4766, "debugfs_attr_read" },
	{ 0x2f8c058d, "debugfs_attr_write" },
	{ 0xa34ddea1, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2940d79d, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x56894a39, "devm_krealloc" },
	{ 0x45c31f20, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a9a546b, "debugfs_create_dir" },
	{ 0xd4bc8a6a, "debugfs_remove" },
	{ 0xf10b9a67, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6dafafa5, "i2c_smbus_write_byte_data" },
	{ 0x585c8047, "i2c_smbus_read_byte_data" },
	{ 0xd8564b7c, "i2c_smbus_write_byte" },
	{ 0x48fe7529, "i2c_smbus_write_word_data" },
	{ 0x83c1a123, "i2c_smbus_read_word_data" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1817774AEFD997A229B9D5A");
