#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x7533960c, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x97cb7cc9, "_gpl");
SYMBOL_CRC(media_device_init, 0xe154bc52, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xe7402ec6, "_gpl");
SYMBOL_CRC(__media_device_register, 0xa6690280, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x5b6667c8, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x62010cce, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x0fe31019, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x2c66eb16, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x06ba1533, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x5602a7f8, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x0db2d43f, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x3f1cd312, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x4472b42c, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x1a8bb961, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xf1dd13ec, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x638835dd, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x0194bb94, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x285875b3, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x3fafd450, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xfc7c7bf2, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xbc7eb006, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x1d9994ae, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xdbf8a760, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x84e840e2, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xb423c040, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x3831a1ec, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x553e716b, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x8f681d23, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x8a391c12, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x16de8641, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xc5e8b76e, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x039f2e7e, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xea5b31a0, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xc7a087c1, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x9f034755, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xe736ddf9, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x0cfd3b70, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x4676310d, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xc6f073d8, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x2182a60c, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xee93f6e4, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x2acdddd8, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xc307ba9b, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xbbda2555, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x96fc4efc, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xed69600b, "_gpl");
SYMBOL_CRC(media_request_put, 0xb256b26e, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x89d76b20, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x7d67b330, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x62b68b49, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xb38c61f1, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x80e623f3, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xad67d0e9, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xf6dedac2, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x6464e10e, "_gpl");
SYMBOL_CRC(media_device_delete, 0xd85c861f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe05c4cce, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe134af11, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf15ee09a, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x245b58d6, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x121e8abf, "device_create_file" },
	{ 0x6d54a4f4, "bus_unregister" },
	{ 0xe640c9e, "fput" },
	{ 0xf632bf5a, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x5a3ec380, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1f2d2367, "platform_bus_type" },
	{ 0xad9c782d, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5090d060, "cdev_init" },
	{ 0xa91d5540, "pci_bus_type" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2940d79d, "device_remove_file" },
	{ 0x9cec8d19, "bus_register" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x74bfc498, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x98120e69, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd1e62d76, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe25bf57d, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb498407f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5a9580a, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcf79a67f, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4CEF93373F93DA69D803204");
