#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xcd92b090, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x0970409b, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0xf064d943, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x5ded9c58, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x865b3029, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0xfcd795cf, "_gpl");
SYMBOL_CRC(mux_control_states, 0x82692d76, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x8c8611f4, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x3208f41f, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0xbbf435a3, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0xd4e487de, "_gpl");
SYMBOL_CRC(mux_control_put, 0xbd692c66, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0xedf088f7, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xb671b201, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x39356f57, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe134af11, "put_device" },
	{ 0xf632bf5a, "_dev_err" },
	{ 0x563dd1c2, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9c09b37f, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x170edb41, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xc60010a6, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0x2c3a9fec, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd1e62d76, "dev_set_name" },
	{ 0xcf2a6966, "up" },
	{ 0xb498407f, "device_initialize" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "330F3890F0AECD292E3B2B5");
