#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0xede041fd, "");
SYMBOL_CRC(qlt_stop_phase1, 0x2486b2d0, "");
SYMBOL_CRC(qlt_stop_phase2, 0x3cfed08a, "");
SYMBOL_CRC(qlt_free_mcmd, 0xd947a7e5, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xc1c50a36, "");
SYMBOL_CRC(qlt_xmit_response, 0x1d66956f, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xd88188f1, "");
SYMBOL_CRC(qlt_abort_cmd, 0x15bf703a, "");
SYMBOL_CRC(qlt_free_cmd, 0xbc9d67c9, "");
SYMBOL_CRC(qlt_lport_register, 0xce6ba539, "");
SYMBOL_CRC(qlt_lport_deregister, 0xd3e62805, "");
SYMBOL_CRC(qlt_enable_vha, 0x2a6a6f87, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x124c2e24, "perf_trace_run_bpf_submit" },
	{ 0xf632bf5a, "_dev_err" },
	{ 0x5eb9bc1b, "fc_vport_create" },
	{ 0x80d8f579, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa34ddea1, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdab36a55, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x685d6883, "fc_remote_port_rolechg" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9836b3fc, "kmem_cache_free" },
	{ 0x4f325974, "dma_alloc_attrs" },
	{ 0x459a45f6, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0xd4bc8a6a, "debugfs_remove" },
	{ 0xa48907f5, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa06a6ca, "seq_putc" },
	{ 0x3f642cb7, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x18793cd8, "fc_vport_terminate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x49b1667d, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x880e3919, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbbc91c7, "trace_array_get_by_name" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3a4aac1f, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b5478d6, "pci_alloc_irq_vectors_affinity" },
	{ 0x9b7c8ced, "scsi_is_host_device" },
	{ 0x30ce3d6e, "pci_set_master" },
	{ 0x2cb2c5d, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3db5202, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc99b3f7e, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x889214e1, "blk_mq_unique_tag" },
	{ 0x3e4f8768, "vmalloc_array_noprof" },
	{ 0xdde8affc, "__kmem_cache_create_args" },
	{ 0x71ffab02, "device_show_string" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe136c35, "kthread_create_on_node" },
	{ 0xfdc210c6, "dma_set_coherent_mask" },
	{ 0x72302e0d, "pv_ops" },
	{ 0x29225c8b, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb3b99c63, "trace_array_set_clr_event" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x93605e7c, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3fae5c75, "fc_host_fpin_rcv" },
	{ 0xd15e6ded, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x759bfe36, "btree_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd637b442, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x4f2593f0, "btree_update" },
	{ 0xdc65feec, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x39f115e, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6a904f03, "__register_chrdev" },
	{ 0x364db226, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc065687, "fc_eh_should_retry_cmd" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xed0055f0, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e8b9c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x55cb0aca, "debugfs_create_file_full" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc67862bc, "scsi_is_fc_rport" },
	{ 0xd6aee8cc, "pci_disable_device" },
	{ 0x28c32aad, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x890fa0fa, "btree_get_prev" },
	{ 0x6a95fe28, "single_release" },
	{ 0x830ca7a3, "scsi_unblock_requests" },
	{ 0x52255662, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xfd35cf5, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xbdbc9c9e, "pci_disable_rom" },
	{ 0x22721ef0, "dma_unmap_sg_attrs" },
	{ 0x30aed230, "pci_irq_get_affinity" },
	{ 0xf2133f4f, "scsi_block_requests" },
	{ 0x93503f9f, "scsi_add_host_with_dma" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2dbe393a, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xbf03aca0, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x14e7395d, "single_open" },
	{ 0xde4144a9, "scsi_host_alloc" },
	{ 0x3a9a546b, "debugfs_create_dir" },
	{ 0x48808b1b, "pci_write_config_word" },
	{ 0xe7f27071, "sysfs_remove_bin_file" },
	{ 0x582e3c07, "pci_free_irq_vectors" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x7d47a1ec, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xbaf66cea, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4533e293, "pcix_set_mmrbc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x5dd91266, "kmem_cache_destroy" },
	{ 0x11de78b0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9048de89, "param_ops_ullong" },
	{ 0xc16379ab, "pci_save_state" },
	{ 0xef92ef33, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6b749058, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1d759818, "fc_attach_transport" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf10b9a67, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x2f8c058d, "debugfs_attr_write" },
	{ 0xc8a493cd, "param_ops_uint" },
	{ 0xb71fe2c7, "dma_pool_create" },
	{ 0x4fd79290, "pci_request_selected_regions" },
	{ 0x1d84a208, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7d84be6f, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xf3e1d207, "pci_enable_device_mem" },
	{ 0xe68e6d96, "bsg_job_done" },
	{ 0x50df94f5, "btree_insert" },
	{ 0x8394b947, "pci_alloc_irq_vectors" },
	{ 0xe21be8c6, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x83d4cc4d, "trace_raw_output_prep" },
	{ 0xc706f760, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6b9a1329, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7ac2aa7b, "scsi_build_sense" },
	{ 0x336099d5, "dma_unmap_page_attrs" },
	{ 0x99155fc5, "request_firmware" },
	{ 0x575f8286, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x16895bd3, "fc_remove_host" },
	{ 0xf445d840, "__pci_register_driver" },
	{ 0x9b45fac6, "set_user_nice" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xc4363865, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa7b2440b, "pci_request_regions" },
	{ 0x8e57285c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x564abbd6, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x5cd3fbb0, "pcpu_hot" },
	{ 0x372e604, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xf7e1d61d, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa51382f8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1ed12e2e, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf3b95d79, "btree_remove" },
	{ 0xd958b359, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0xbb04fb5e, "pci_try_set_mwi" },
	{ 0xcf79a67f, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x94695e3b, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa55e8440, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3cd25d09, "dev_driver_string" },
	{ 0x80df9bb6, "trace_event_buffer_commit" },
	{ 0x91a3cf2, "trace_array_put" },
	{ 0xaec3861, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe003ec1e, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x130afbe2, "blk_mq_pci_map_queues" },
	{ 0x89db8ca5, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe9451a63, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xe3e53da7, "scsi_host_get" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x5e548a32, "fc_host_post_event" },
	{ 0x5c442160, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x11240538, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x38777d58, "fc_release_transport" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbb23619b, "pci_set_mwi" },
	{ 0xede9a09a, "btree_lookup" },
	{ 0xfd15324d, "pci_find_capability" },
	{ 0x25bd4766, "debugfs_attr_read" },
	{ 0xf7afb369, "btree_init" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x1ca24c7b, "kobject_uevent_env" },
	{ 0x46420658, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,nvme-fc,scsi_common");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B8EC4968AD860F87AAAE568");
