#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xdaffb114, "");
SYMBOL_CRC(pn_sock_unhash, 0x3ca25210, "");
SYMBOL_CRC(phonet_stream_ops, 0xd1b57007, "");
SYMBOL_CRC(pn_sock_get_port, 0xd713eb9a, "");
SYMBOL_CRC(phonet_header_ops, 0x884d0f29, "");
SYMBOL_CRC(pn_skb_send, 0x4ee532fc, "");
SYMBOL_CRC(phonet_proto_register, 0x3a2c5f45, "");
SYMBOL_CRC(phonet_proto_unregister, 0xdb1dc210, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44e3aa3c, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7f0d332, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9e544c48, "sock_register" },
	{ 0x9605ee2b, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x326cffe4, "__alloc_skb" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x912f5bf9, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x537cc654, "rtnl_set_sk_err" },
	{ 0x16838ea9, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x245b58d6, "module_put" },
	{ 0x590ace0f, "__sk_receive_skb" },
	{ 0x1167abd7, "sock_no_shutdown" },
	{ 0x70cf71c4, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdc011265, "sk_skb_reason_drop" },
	{ 0x4d746dd, "dev_remove_pack" },
	{ 0xbeb100b0, "dev_get_by_index" },
	{ 0x6e1462c3, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9222b180, "dev_get_by_index_rcu" },
	{ 0xfbda1690, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8aae4231, "skb_push" },
	{ 0x384342e9, "sock_no_listen" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x8ee02dbb, "__rtnl_register_many" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x45fea117, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x910569af, "skb_copy_datagram_iter" },
	{ 0x3beb309e, "sk_alloc" },
	{ 0xe9aa6166, "unregister_pernet_subsys" },
	{ 0xfaff97b1, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40daea59, "sock_no_mmap" },
	{ 0x475b0b99, "__pskb_pull_tail" },
	{ 0xc2e30927, "netif_rx" },
	{ 0x6a043693, "sock_common_recvmsg" },
	{ 0xbdb5dac4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1e4ade0e, "sk_common_release" },
	{ 0x8deaaec0, "seq_pad" },
	{ 0x3a6b5646, "sock_i_ino" },
	{ 0x168434cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xfae2e944, "skb_recv_datagram" },
	{ 0xab79a4c9, "sock_alloc_send_pskb" },
	{ 0x364db226, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x35c4c7fd, "remove_proc_entry" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xe49642f8, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb35e8b9c, "seq_printf" },
	{ 0x6844a113, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x25d9e8b3, "_copy_from_iter" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x65f6d53a, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb9f238e8, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd61dc02b, "sock_init_data" },
	{ 0x6d915665, "sk_ioctl" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe9a1a3b2, "release_sock" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x115e5f5e, "security_sock_graft" },
	{ 0xdfad5bdb, "skb_free_datagram" },
	{ 0x9b74562b, "sock_queue_rcv_skb_reason" },
	{ 0x74bfc498, "try_module_get" },
	{ 0xe720a9ef, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc91f95c5, "__nlmsg_put" },
	{ 0xf4dd34fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1745c3a1, "consume_skb" },
	{ 0x2c2f3051, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xa9632bc0, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb69df518, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6ce68726, "sock_no_connect" },
	{ 0x96769c0f, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf69f848, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe58782f, "pskb_expand_head" },
	{ 0xbca4c4f2, "register_pernet_subsys" },
	{ 0xe73791b3, "skb_queue_purge_reason" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "401DE45A1664A2E99D84E3C");
